Subject: bug#50092: closed (Re: bug#50092: The 'sqlparse<0.4.0,>=0.3.0' distribution was not found and is required by mycli)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Mar 2023 14:37:02 +0000

Your bug report

#50092: The 'sqlparse<0.4.0,>=0.3.0' distribution was not found and is required by mycli

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50092: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50092
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50092: The 'sqlparse<0.4.0,>=0.3.0' distribution was not found and is required by mycli
From: Michael Rohleder <[email-masked]>
To: Rostislav Svoboda <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Mar 2023 15:34:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Rostislav!

Thx for the bug report!

I believe, this is fixed in 56fdef0e11c975db6bfdcf7bdec29d50433e82aa -> closing.

If you still have this issue, please feel free to reopen.

-- 
Wer den Mund hält, wenn er Unrecht hat, ist weise.
Wer den Mund hält, obwohl er Recht hat, ist verheiratet.
George Bernard Shaw (ir. Schriftsteller, 1856-1950)

Subject: The 'sqlparse<0.4.0,>=0.3.0' distribution was not found and is required by mycli
From: Rostislav Svoboda <[email-masked]>
To: [email-masked]
Date: Tue, 17 Aug 2021 12:19:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi
I think I found a bug in the mycli dependencies. Would you please fix
it? See also https://logs.guix.gnu.org/guix/2021-08-17.log

Thank you

guest@gnu ~$ mycli
Traceback (most recent call last):
  File "/gnu/store/plmbldixvy90pdqg08n3a2lk9k00dwy8-python-3.8.2/lib/python3.8/site-packages/pkg_resources/__init__.py",
line 583, in _build_master
    ws.require(__requires__)
  File "/gnu/store/plmbldixvy90pdqg08n3a2lk9k00dwy8-python-3.8.2/lib/python3.8/site-packages/pkg_resources/__init__.py",
line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/gnu/store/plmbldixvy90pdqg08n3a2lk9k00dwy8-python-3.8.2/lib/python3.8/site-packages/pkg_resources/__init__.py",
line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (sqlparse 0.4.1
(/gnu/store/61yj75kwwlymxjmxsa8f9cqs0vf5a2w4-python-sqlparse-0.4.1/lib/python3.8/site-packages),
Requirement.parse('sqlparse<0.4.0,>=0.3.0'), {'mycli'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/gnu/store/z0rp568a94bgi98qkk2sn6ah8hgi5pgk-mycli-1.22.2/bin/.mycli-real",
line 6, in <module>
    from pkg_resources import load_entry_point
  File "/gnu/store/plmbldixvy90pdqg08n3a2lk9k00dwy8-python-3.8.2/lib/python3.8/site-packages/pkg_resources/__init__.py",
line 3251, in <module>
    def _initialize_master_working_set():
  File "/gnu/store/plmbldixvy90pdqg08n3a2lk9k00dwy8-python-3.8.2/lib/python3.8/site-packages/pkg_resources/__init__.py",
line 3234, in _call_aside
    f(*args, **kwargs)
  File "/gnu/store/plmbldixvy90pdqg08n3a2lk9k00dwy8-python-3.8.2/lib/python3.8/site-packages/pkg_resources/__init__.py",
line 3263, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/gnu/store/plmbldixvy90pdqg08n3a2lk9k00dwy8-python-3.8.2/lib/python3.8/site-packages/pkg_resources/__init__.py",
line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/gnu/store/plmbldixvy90pdqg08n3a2lk9k00dwy8-python-3.8.2/lib/python3.8/site-packages/pkg_resources/__init__.py",
line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/gnu/store/plmbldixvy90pdqg08n3a2lk9k00dwy8-python-3.8.2/lib/python3.8/site-packages/pkg_resources/__init__.py",
line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'sqlparse<0.4.0,>=0.3.0'
distribution was not found and is required by mycli